@import "@/styles/variables";

.edit {
    &-actions {
        background-color: $white;
        list-style-type: none;
        width: 136px;
        height: max-content;
        z-index: 150;
        border-radius: $border-radius;
        padding: 0.5rem;

        li {
            padding: 6px 8px;

            @include button-2;
        }

        &-link {
            color: $gray-800;
            text-decoration: none;
            display: inline-flex;
            align-items: center;
            gap: 0.5rem;
        }

        &-button {
            @include button-2;

            color: $color-error;
            border: none;
            background-color: transparent;
            display: inline-flex;
            gap: 0.5rem;
            cursor: pointer;
        }
    }

    &-dropdown {
        .dropdown-button {
            padding: 0;
            width: 1.25rem;
            height: 1.25rem;
            border-radius: 6px;
        }

        div {
            right: 1rem;
            margin-top: 0.5rem;

            @include notebook {
                right: -0.5rem;
            }
        }
    }
}
